#AdvantEDGE
version: 1.0.0
repo:
  name: AdvantEDGE
  core:
    meep-user:
      service-account: charts/meep-user/meep-user-serviceaccount.yaml
      cluster-role-binding: charts/meep-user/meep-user-clusterrolebinding.yaml
      codecov: false
      lint: false
    meep-ctrl-engine:
      src: go-apps/meep-ctrl-engine
      bin: bin/meep-ctrl-engine
      chart: charts/meep-ctrl-engine
      codecov: true
      lint: true
      docker-data:
        static: bin/meep-frontend
    meep-frontend:
      src: js-apps/meep-frontend
      bin: bin/meep-frontend
      codecov: false
      lint: true
      local-deps:
        meep-ctrl-engine-api: js-packages/meep-ctrl-engine-client
    meep-webhook:
      src: go-apps/meep-webhook
      bin: bin/meep-webhook
      chart: charts/meep-webhook
      build-flags:
        - -mod=vendor
      codecov: false
      lint: true
    meep-mg-manager:
      src: go-apps/meep-mg-manager
      bin: bin/meep-mg-manager
      chart: charts/meep-mg-manager
      codecov: true
      lint: true
    meep-mon-engine:
      src: go-apps/meep-mon-engine
      bin: bin/meep-mon-engine
      chart: charts/meep-mon-engine
      build-flags:
        - -mod=vendor
      codecov: true
      lint: true
    meep-tc-engine:
      src: go-apps/meep-tc-engine
      bin: bin/meep-tc-engine
      chart: charts/meep-tc-engine
      codecov: true
      lint: true
    meep-tc-sidecar:
      src: go-apps/meep-tc-sidecar
      bin: bin/meep-tc-sidecar
      codecov: false
      lint: true
    meep-virt-engine:
      src: go-apps/meep-virt-engine
      bin: bin/meep-virt-engine
      chart: charts/meep-virt-engine
      template: charts/meep-virt-engine/virt-templates
      codecov: true
      lint: true
  dep:
    elastic:
      es:
        chart: incubator/elasticsearch
        version: "1.9.1"
        values: charts/elasticsearch/elastic-values.yaml
        pv: charts/elasticsearch/meep-pv-es.yaml
      es-curator:
        chart: charts/elasticsearch-curator
      kibana:
        chart: charts/kibana
      filebeat:
        chart: stable/filebeat
        version: "1.0.2"
        values: charts/filebeat/values.yaml
      metricbeat:
        chart: charts/metricbeat
    couchdb:
      chart: charts/couchdb
    redis:
      chart: stable/redis
      version: "4.0.1"
      values: charts/redis/values.yaml
    k8s:
      kube-state-metrics:
        chart: charts/kube-state-metrics
